LightWayTxtTextInternal::Font Struct Reference

Internal: struct used to store the font of a LightWayTxtText. More...

## Public Member Functions

| Font ()
| constructor
void | merge (Font const &fExtra)
| merge extra data to get final font

## Public Attributes

MWAWFont | m_font
| the font
int | m_height
| the line height
int | m_pictId
| the pict id (if set)

## Friends

std::ostream & | operator<< (std::ostream &o, Font const &font)
| operator<<

## Detailed Description

Internal: struct used to store the font of a LightWayTxtText.

## Constructor & Destructor Documentation

## Font()

LightWayTxtTextInternal::Font::Font | ( |  | ) |

inline

constructor

Referenced by merge(), and operator<<.

## Member Function Documentation

## merge()

void LightWayTxtTextInternal::Font::merge | ( | Font const & | fExtra | ) |

inline

merge extra data to get final font

Referenced by LightWayTxtText::sendMainText().

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Font const & | font )

friend

operator<<

## Member Data Documentation

## m_font

MWAWFont LightWayTxtTextInternal::Font::m_font

the font

Referenced by Font(), merge(), LightWayTxtText::readFont2(), and LightWayTxtText::readFonts().

## m_height

int LightWayTxtTextInternal::Font::m_height

the line height

Referenced by Font(), operator<<, and LightWayTxtText::readFonts().

## m_pictId

int LightWayTxtTextInternal::Font::m_pictId

the pict id (if set)

Referenced by Font(), merge(), operator<<, and LightWayTxtText::readFont2().

The documentation for this struct was generated from the following file:

- LightWayTxtText.cxx